# $Revision: 1.6 $, $Date: 2011/06/08 15:13:44 $
Summary:	Destroy data on disk using DoD 5520.22-M or NNSA NAP-14.x algorithms
Summary(pl.UTF-8):	Niszczenie danych na dysku przy użyciu algorytmu DoD 5520.22-M lub NNSA NAP-14.x
Name:		scrub
Version:	2.4
Release:	1
License:	GPL v2+
Group:		Applications/File
Source0:	http://diskscrub.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	653b9698a7e62fd0c22704e1d6a3469c
URL:		https://computing.llnl.gov/linux/scrub.html
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility writes patterns on files or disk devices to make
retrieving the data more difficult. It operates in one of three modes:
1) the special file corresponding to an entire disk is scrubbed and
all data on it is destroyed. 2) a regular file is scrubbed and only
the data in the file (and optionally its name in the directory entry)
is destroyed. 3) a regular file is created, expanded until the file
system is full, then scrubbed as in 2).

Scrub implements user-selectable pattern algorithms that are compliant
with DoD 5520.22-M or NNSA NAP-14.x.

%description -l pl.UTF-8
To narzędzie pisze po plikach lub urządzeniach dyskowych wzorce, aby
utrudnić odzyskanie danych. Działa w jednym z trzech trybów: 1) czyści
plik specjalny odpowiadający całemu dyskowi, niszcząc w ten sposób
wszystkie dane na nim; 2) czyści zwykły plik, niszcząc tylko dane z
tego pliku (i opcjonalnie jego nazwę w katalogu); 3) tworzy zwykły
plik, powiększa go do wypełnienia systemu plików, a następnie go
czyści w sposób 2).

scrub implementuje algorytmy z wzorcem obieralnym przez użytkownika,
zgodne z DoD 5520.22-M lub NNSA NAP-14.x.

%prep
%setup -q

%build
%configure
%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog DISCLAIMER NEWS
%attr(755,root,root) %{_bindir}/scrub
%{_mandir}/man1/scrub.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scrub.spec,v $
Revision 1.6  2011/06/08 15:13:44  zawadaa
- up to 2.4
- STBR

Revision 1.5  2011/01/27 21:22:08  sparky
- BR: perl-base

Revision 1.4  2010/09/10 11:16:07  zawadaa
- up to 2.2
- ready to use - please add to RescueCD

Revision 1.3  2008/06/03 20:34:47  qboosh
- removed COPYING from doc (just GPL)

Revision 1.2  2008-06-03 20:32:24  qboosh
- pl

Revision 1.1  2008-01-29 15:30:29  tommat
- initial
